<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('payment_modes', function (Blueprint $table) {
            $table->bigIncrements('PayMd_ID');
            $table->string('PayMd_Code', 20)->unique();
            $table->string('PayMd_Name', 100);

            $table->boolean('Is_Digital')
                  ->default(0)
                  ->comment('1=Digital, 0=Physical');

            $table->boolean('Is_Active')
                  ->default(1);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('payment_modes');
    }
};
